{% extends "base.html" %}
{% load i18n %}

{% block title %}
Docuweb
{% endblock %}

{% block banner %}
    <h1 class="title">Docuweb</h1>
{% endblock %}

{% block body %}
    <h2 class="subtitle">{% trans "Zoek een document" %}</h1>

    {% if messages %}
        {% for message in messages %}
        <div class="notification is-{{ message.level_tag }}">
            <button class="delete"></button>
            <div class="content">
                {{ message.message }}
            </div>
        </div>
        {% endfor %}
    {% endif %}

    <!-- Main container -->
    <nav class="level">
        <!-- Left side -->
        <div class="level-left">
            <div class="level-item">
                <p class="subtitle is-5">
                    <strong>{{ page_obj.start_index }} - {{ page_obj.end_index}}</strong> {% trans "van" %} <strong>{{ page_obj.paginator.count }}</strong> {% trans "documenten" %}
                </p>
            </div>
            <div class="level-item">
                {% include "components/searchbar.html" %}
            </div>
        </div>

        <!-- Right side -->
        <div class="level-right">
            {% if perms.docuweb.add_document %}<p class="level-item"><a class="button is-primary" href="{% url "docuweb:create" %}">{% trans "Nieuw" %}</a></p>{% endif %}
        </div>
    </nav>

    <table class="table is-fullwidth is-striped">
        <thead>
            <tr>
                <th>{% trans "Upload datum" %}</th>
                <th>{% trans "Titel" %}</th>
                <th>{% trans "Categorie" %}</th>
                <th class="is-hidden-mobile">{% trans "Omvang" %}</th>
            </tr>
        </thead>
        <tbody>
            {% for document in document_list %}
                <tr>
                    <td>{{document.date_uploaded}}</td>
                    <td>
                        <a href="{{ document.file.url }}">{{document.title}}</a>
                    </td>
                    <td>{{document.category}}</td>
                    <td class="is-hidden-mobile">{{document.filesize_human_readable}}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

    {% include "components/pagination.html" %}
{% endblock %}

{% block scripts_postload %}

<script>
    addNotificationDeleteEventListeners();
</script>

{{ block.super }}

{% endblock %}